RBH_REALM_CHANNEL = "rbhrealmchannel007"
RBH_PRIVATE_CHANNEL = "rbhprivatechannel007"

function RBH_SendAddonMessageToNetworkChannel(channel, priority, prefix, msg)
    if RBH_Network == nil then
        return
    end
    if RBH_Network[channel] == nil then
        return
    end
    
    local n = #RBH_Network[channel]
    local i
    local name
    for i=1, n do
        name = RBH_Network[channel][i]
        rbh_debug("RBH_SendAddonMessageToNetworkChannel: "..priority..", "..prefix..", "..channel..", "..name..", "..msg)
        ChatThrottleLib:SendAddonMessage(priority, prefix, msg, "WHISPER", name) 
    end
end

--Sends an addon message to all members of the network
function RBH_SendAddonMessageToNetwork(priority, prefix, msg)
    rbh_debug("RBH_SendAddonMessageToNetwork(" .. priority .. "," .. prefix .. "," .. msg .. ")")
    --send to realm channel
    if RBH_Config["RealmChannel"] then
        RBH_SendAddonMessageToNetworkChannel(RBH_REALM_CHANNEL, priority, prefix, msg)
    end
    
    --send to private channel
    if RBH_Config["PrivateChannel"] then
        RBH_SendAddonMessageToNetworkChannel(RBH_PRIVATE_CHANNEL, priority, prefix, msg)
    end
    
    --send to guild
    if (RBH_Config["GuildChannel"]) then   
       ChatThrottleLib:SendAddonMessage(priority, prefix, msg, "GUILD");       
    end
end

--Adds a player to the network under a channel
function RBH_AddPlayerToNetwork(playerName, channelName)
    if (RBH_Network == nil) then
        return
    end
    if (RBH_Network[channelName] == nil) then
        return
    end
    
    --search for player name already in channel
    local n = #RBH_Network[channelName]
    local i
    for i=1,n do
        local name = RBH_Network[channelName]
        if name == playerName then
            return
        end
    end
    
    table.insert(RBH_Network[channelName], playerName)  
    rbh_debug("RBH_AddPlayerToNetwork: "..playerName..", "..channelName)
end

--Removes a player from the network under a channel
function RBH_RemovePlayerFromNetwork(playerName, channelName)
    if RBH_Network == nil then
        return
    end
    if RBH_Network[channelName] == nil then
        return
    end
    
    --search for player name already in channel
    local n = #RBH_Network[channelName]
    local i
    local index
    for i=1,n do
        local name = RBH_Network[channelName]
        if name == playerName then
            index = i
            break
        end
    end
    
    table.remove(RBH_Network[channelName], index)    
end